import { Record } from "immutable";
import { ResultError } from "../interfaces/result-error";
declare const ResultErrorRecord_base: Record.Factory<ResultError>;
declare class ResultErrorRecord extends ResultErrorRecord_base implements ResultError {
    constructor(params?: ResultError);
    fullError(): string;
    with(values: Partial<ResultError>): ResultErrorRecord;
}
export { ResultErrorRecord };
