declare type CancellablePromise<T = any> = {
    cancel: () => void;
    promise: Promise<T>;
};
declare const PromiseFactory: {
    cancellable<T = any>(promise: Promise<T>): CancellablePromise<T>;
    pending(): Promise<unknown>;
};
export { CancellablePromise, PromiseFactory };
